@import 'vars';

.header {
  display: grid;
  margin: 0;

@media (min-width: 768px) {
  margin: 0 24px;
}

}

.logo {
  display: flex;
  align-items: center;
  height: 100%;
  width: 100%;
  
  img {
    height: 34px;
  }

  @include below(758px) {
    width: 150px;
  }

  .link {
    display: flex;
    align-items: center;
    font-size: 24px;
  }
}

.topnav {
  width: 100%;
}

.mainContainer {
    background-color:  #201747;
    padding-top: 18px;
}

.container {
  align-items: center;
  justify-content: flex-end;
  grid-column: 2 / span 2;
  height: auto;
  display: none;

  @media (min-width: 768px) {
  display: flex;
  height: 124px;
  }
}


.mobileOnly {
  display: none;

  @include below(758px) {
    display: unset;
  }
}

.navlinks {
  display: flex;
  list-style: none;

  .linkContainer {
    margin-left: 45px;

    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 15px;
        width: auto;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #FFF;
      }
    }
  }
}
.image {
  cursor: pointer;
  display: none;
  @media (min-width: 768px) {
    display: block;
  }
}
.mobileImage {
  cursor: pointer;
  display: block;
  position: relative;
  left: -50px;
  @media (min-width: 768px) {
    display: none;
  }
}